package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/CheckSignDataAction.class */
public class CheckSignDataAction extends LifeAction {
    public static final TranFailException EXCEPTION_INVALID_SIGNDATA = new TranFailException("EBLN0017", "签名数据校验失败", false);
    private String kcollName;

    public String execute(Context context) throws GENEException {
        try {
            if (this.kcollName != null) {
                KeyedCollection kcoll = (KeyedCollection) context.get(this.kcollName);
                int size = kcoll.size();
                for (int i = 0; i < size; i++) {
                    String signDataName = kcoll.getDataElement(i).getName();
                    String signData = (String) kcoll.getDataValue(signDataName);
                    String checkData = (String) context.getDataValue(signDataName);
                    if (!signData.equals(checkData) && checkData != null) {
                        Trace.logWarning("LifeAction", "EBLN0017::签名数据校验失败");
                        throw EXCEPTION_INVALID_SIGNDATA;
                    }
                }
                return "0";
            }
            Trace.logWarning("LifeAction", "EBLN0017::签名数据校验失败");
            throw EXCEPTION_INVALID_SIGNDATA;
        } catch (Exception e) {
            Trace.logError("LifeAction", "EBLN0017::签名数据校验失败", e);
            throw EXCEPTION_INVALID_SIGNDATA;
        }
    }

    public String getKcollName() {
        return this.kcollName;
    }

    public void setKcollName(String kcollName) {
        this.kcollName = kcollName;
    }
}
